org.apache.olingo.odata2.api.processor.part

## Interface EntityLinksProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntityLinksProcessor
      extends ODataProcessor

  Execute a OData entity links request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `countEntityLinks(GetEntitySetLinksCountUriInfo uriInfo, String contentType)` Counts the number of target entities of a navigation property.
    `ODataResponse` | `createEntityLink(PostUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Creates a new link to a target entity of a navigation property.
    `ODataResponse` | `readEntityLinks(GetEntitySetLinksUriInfo uriInfo, String contentType)` Reads the URIs of the target entities of a navigation property.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntityLinks

          ODataResponse readEntityLinks(GetEntitySetLinksUriInfo uriInfo,
                                        String contentType)
                                 throws ODataException

      Reads the URIs of the target entities of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an OData response object
      Throws:
        `ODataException`

    - #### countEntityLinks

          ODataResponse countEntityLinks(GetEntitySetLinksCountUriInfo uriInfo,
                                         String contentType)
                                  throws ODataException

      Counts the number of target entities of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an OData response object
      Throws:
        `ODataException`

    - #### createEntityLink

          ODataResponse createEntityLink(PostUriInfo uriInfo,
                                         InputStream content,
                                         String requestContentType,
                                         String contentType)
                                  throws ODataException

      Creates a new link to a target entity of a navigation property.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the link data
        `requestContentType` - the content type of the request body
        `contentType` - the content type of the response
      Returns:
        an OData response object
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.